hpp-affordance: hpp::affordance Namespace Reference

hpp-affordance 9.0.2 Implementation to Extract Whole-Body Affordances for Mutli-Contact Planning.

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
hpp::affordance Namespace Reference

## Classes
class | Affordance
class | LeanOperation
class | OperationBase
class | SemanticsData
class | Support45Operation
class | SupportOperation
struct | Triangle
| Helper class to save triangle information. More...
struct | TrianglePoints

## Typedefs
typedef coal::BVHModel< coal::OBBRSS > | BVHModelOB
typedef coal::shared_ptr< BVHModelOB > | BVHModelOB_Ptr_t
typedef coal::shared_ptr< const BVHModelOB > | BVHModelOBConst_Ptr_t
typedef coal::shared_ptr< SupportOperation > | SupportOperationPtr_t
typedef coal::shared_ptr< LeanOperation > | LeanOperationPtr_t
typedef coal::shared_ptr< Support45Operation > | Support45OperationPtr_t
typedef coal::shared_ptr< coal::CollisionObject > | CollisionObjectPtr_t
typedef std::vector< CollisionObjectPtr_t > | CollisionObjects_t
typedef coal::shared_ptr< OperationBase > | OperationBasePtr_t
typedef std::vector< OperationBasePtr_t > | OperationBases_t
typedef coal::shared_ptr< SemanticsData > | SemanticsDataPtr_t
typedef coal::shared_ptr< Affordance > | AffordancePtr_t
typedef coal::shared_ptr< AffordanceExtraction > | AffordanceExtractionPtr_t
typedef coal::CollisionObject | FclCollisionObject
typedef coal::CollisionObject * | FclCollisionObjectPtr_t
typedef const coal::CollisionObject * | FclConstCollisionObjectPtr_t

## Functions
BVHModelOBConst_Ptr_t | GetModel (FclConstCollisionObjectPtr_t object)
void | searchLinkedTriangles (std::vector< unsigned int > &listPotential, const OperationBasePtr_t &refOp, const std::vector< Triangle > &allTris, std::vector< unsigned int > &searchableTris, const unsigned int &refTriIdx, double &area)
SemanticsDataPtr_t | affordanceAnalysis (FclConstCollisionObjectPtr_t colObj, const OperationBases_t &opVec)
std::vector< CollisionObjects_t > | getAffordanceObjects (const SemanticsDataPtr_t &sData)
std::vector< CollisionObjects_t > | getReducedAffordanceObjects (const SemanticsDataPtr_t &sData, std::vector< double > reduceSizes)

## Typedef Documentation

## ◆ AffordanceExtractionPtr_t

typedef coal::shared_ptr<AffordanceExtraction> hpp::affordance::AffordanceExtractionPtr_t

## ◆ AffordancePtr_t

typedef coal::shared_ptr<Affordance> hpp::affordance::AffordancePtr_t

## ◆ BVHModelOB

typedef coal::BVHModel<coal::OBBRSS> hpp::affordance::BVHModelOB

## ◆ BVHModelOB_Ptr_t

typedef coal::shared_ptr<BVHModelOB> hpp::affordance::BVHModelOB_Ptr_t

## ◆ BVHModelOBConst_Ptr_t

typedef coal::shared_ptr<const BVHModelOB> hpp::affordance::BVHModelOBConst_Ptr_t

## ◆ CollisionObjectPtr_t

typedef coal::shared_ptr<coal::CollisionObject> hpp::affordance::CollisionObjectPtr_t

## ◆ CollisionObjects_t

typedef std::vector<CollisionObjectPtr_t> hpp::affordance::CollisionObjects_t

## ◆ FclCollisionObject

typedef coal::CollisionObject hpp::affordance::FclCollisionObject

## ◆ FclCollisionObjectPtr_t

typedef coal::CollisionObject* hpp::affordance::FclCollisionObjectPtr_t

## ◆ FclConstCollisionObjectPtr_t

typedef const coal::CollisionObject* hpp::affordance::FclConstCollisionObjectPtr_t

## ◆ LeanOperationPtr_t

typedef coal::shared_ptr<LeanOperation> hpp::affordance::LeanOperationPtr_t

## ◆ OperationBasePtr_t

typedef coal::shared_ptr<OperationBase> hpp::affordance::OperationBasePtr_t

## ◆ OperationBases_t

typedef std::vector<OperationBasePtr_t> hpp::affordance::OperationBases_t

## ◆ SemanticsDataPtr_t

typedef coal::shared_ptr<SemanticsData> hpp::affordance::SemanticsDataPtr_t

## ◆ Support45OperationPtr_t

typedef coal::shared_ptr<Support45Operation> hpp::affordance::Support45OperationPtr_t

## ◆ SupportOperationPtr_t

typedef coal::shared_ptr<SupportOperation> hpp::affordance::SupportOperationPtr_t

## Function Documentation

## ◆ GetModel()

BVHModelOBConst_Ptr_t hpp::affordance::GetModel | ( | FclConstCollisionObjectPtr_t | object | ) |